<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">


<hibernate-mapping default-lazy="false" default-cascade="none">
    <class entity-name="modality" table="CENSUS_MODALITY" lazy="true">
        <id type="java.lang.Long" name="id">
            <column name="CENSUS_MODALITY_ID"/>
            <generator class="sequence" >
				<param name="sequence">census_modality_seq_id</param>
			</generator>
        </id> 
	
		<property name="modalityType" column="MODALITY_TYPE" type="java.lang.String" node="modalityType" />
		<property name="modalityName" column="MODALITY_NAME" type="java.lang.String" node="modalityName" />	
    </class>

</hibernate-mapping>
	